<script setup lang="ts">
</script>

<template>
    <div id="main">
        <div class="panel">
            <span>
                <h1>Your Journey,<br /></h1>
                <h1>Your Brew.</h1>
            </span>

            <router-link class="button" :to="{ path: '/home' }">Discover</router-link>
        </div>
        <div class="side"></div>
    </div>
</template>

<style lang="scss" scoped>
#main {
    overflow: hidden;
    margin: 0;
    height: 100vh;
    width: 100vw;
    display: grid;
    grid-template-columns: 50% auto;
    grid-template-rows: 1fr repeat(4, 0);
    grid-column-gap: 0px;
    grid-row-gap: 0px;

    .panel {
        display: flex;
        box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
            rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
        gap: 100px;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        background-image: linear-gradient(to bottom,
                #0a1412,
                #101b19,
                #13231f,
                #152a26,
                #18322c);
        color: #e9e9e9;
        font-family: Arial, Helvetica, sans-serif;

        h1 {
            font-size: 64px;
        }

        .button {
            background-color: #487e71;
            /* Green */
            border: none;
            border-radius: 100px;
            color: white;
            padding: 15px 32px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 16px;
            margin: 4px 2px;
            cursor: pointer;
            -webkit-transition-duration: 0.4s;
            /* Safari */
            transition-duration: 0.4s;
        }

        .button:hover {
            box-shadow: 0 12px 16px 0 rgba(0, 0, 0, 0.24),
                0 17px 50px 0 rgba(0, 0, 0, 0.19);
        }
    }

    .side {
        height: 100%;
        width: auto;
        background-image: url("https://images.unsplash.com/photo-1581457954431-18ef26091378?ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D&auto=format&fit=crop&w=1965&q=80");
        background-size: cover;
        background-repeat: no-repeat;
    }
}
</style>
